:: ////////////////////////////////////////////////////////////////
:: // ZeroDream KMS Tool by Akkariin                             //
:: // 本工具完全免费并且开源，任何人可以随意使用                 //
:: // 转载请注明博客地址 https://blog.natfrp.org/free-kms-server //
:: ////////////////////////////////////////////////////////////////

@echo off

:: 设置窗口大小
mode CON:COLS=67 LINES=20

:: 读取系统版本
for /F "tokens=* delims=" %%i in ('wmic os get caption ^| find "Windows"') do set windows_version=%%i

:: 工具主菜单
:home
	set ans=0
	mode CON:COLS=67 LINES=20
	title ZeroDream KMS 激活工具
	color 0f
	cls
	echo ///////////////////////////////////////////////////////////////////
	echo 欢迎使用 ZeroDream 提供的 KMS 激活工具！
	echo 支持激活 Windows 7/8/10 以及 Server 2019/2016/2012/2008 系统
	echo ///////////////////////////////////////////////////////////////////
	echo.
	echo 当前操作系统：%windows_version:Microsoft =%
	echo.
	echo 请选择操作：
	echo.
	echo   1) 激活操作系统           2) 查看激活到期时间
	echo   3) 关于此工具             4) 退出工具
	echo.
	set /p ans=^> 
	if "%ans%" == "1" goto kms_start
	if "%ans%" == "2" goto view_xpr
	if "%ans%" == "3" goto view_about
	if "%ans%" == "4" exit
	goto home

:: 关于激活工具
:view_about
	color 3f
	cls
	echo 关于这个激活工具 /////////////////////////////////////////////////
	echo.
	echo 这是我一时兴起制作的激活工具，主要用于自己日常使用。
	echo.
	echo 本工具仅供学习和交流使用，完全免费，激活秘钥均来网络。
	echo.
	echo 作者邮箱 akkariins@gmail.com 电报 t.me/Akkariins
	echo.
	pause
	goto home

:: 查看激活到期时间
:view_xpr
	color 2f
	cls
	slmgr /xpr
	goto home

:: 开始执行激活
:kms_active
	color 3f
	set ans=0
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择一个激活服务器：
	echo.
	echo   1) s1.tcotp.cn        2) s2.tcotp.cn      3) zj.akkariin.com
	echo   4) kms.chinancce.com  5) kms.moeclub.org  6) kms.03k.org
	echo.
	set /p ans=^> 
	set kmserver=s1.tcotp.cn
	if "%ans%" == "1" set kmserver=s1.tcotp.cn
	if "%ans%" == "2" set kmserver=s2.tcotp.cn
	if "%ans%" == "3" set kmserver=zj.akkariin.com
	if "%ans%" == "4" set kmserver=kms.chinancce.com
	if "%ans%" == "5" set kmserver=kms.moeclub.org
	if "%ans%" == "6" set kmserver=kms.03k.org
	echo.
	echo 准备开始激活 %windows_version:Microsoft =%
	echo.
	echo 执行过程一般有弹窗提示，请点击确定即可。
	echo.
	echo 按下任意键开始激活系统！
	pause > nul
	color 4f
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo [INFO] 设置 KMS 服务器为："%kmserver%"
	:: 设置 KMS 服务器地址
	slmgr /skms %kmserver%
	echo [INFO] 安装激活秘钥："%ipkey%"
	:: 将激活秘钥安装到系统
	slmgr /ipk %ipkey%
	echo [INFO] 正在执行自动激活操作...
	:: 执行自动激活操作
	slmgr /ato
	cls
	color 2f
	echo ///////////////////////////////////////////////////////////////////
	echo.
	echo 已完成激活，您现在可以返回主菜单查看激活状态
	echo.
	echo 如果出现 "在运行 Microsoft Windows 非核心版本的计算机上" 错误，请检查是否选错了操作系统版本。
	echo.
	echo 如果出现其他错误，可能是 KMS 服务器挂了，请更换其他的 KMS 服务器并再次尝试进行激活。
	echo.
	echo 最后，再次感谢您使用 ZeroDream KMS 工具！
	echo.
	echo ///////////////////////////////////////////////////////////////////
	pause > nul
	goto home

:: 选择操作系统界面
:kms_start
	color 3f
	set ans=0
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo    1) Windows 10
	echo    2) Windows 8.1
	echo    3) Windows 8
	echo    4) Windows 7
	echo    5) Windows Server 2019
	echo    6) Windows Server 2016
	echo    7) Windows Server 2012
	echo    8) Windows Server 2012 R2
	echo    9) Windows Server 2008
	echo   10) Windows Server 2008 R2
	echo.
	set /p ans=^> 
	if "%ans%" == "1" goto kms_win10
	if "%ans%" == "2" goto kms_win81
	if "%ans%" == "3" goto kms_win8
	if "%ans%" == "4" goto kms_win7
	if "%ans%" == "5" goto kms_win2k19
	if "%ans%" == "6" goto kms_win2k16
	if "%ans%" == "7" goto kms_win2k12
	if "%ans%" == "8" goto kms_win2k12r2
	if "%ans%" == "9" goto kms_win2k8
	if "%ans%" == "10" goto kms_win2k8r2
	goto kms_start

:: 激活 Windows 10
:kms_win10
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo    1) Windows 10 专业版
	echo    2) Windows 10 专业版 N
	echo    3) Windows 10 专业工作站
	echo    4) Windows 10 专业工作站 N
	echo    5) Windows 10 专业教育版
	echo    6) Windows 10 专业教育版 N
	echo    7) Windows 10 教育版
	echo    8) Windows 10 教育版 N
	echo    9) Windows 10 企业版
	echo   10) Windows 10 企业版 N
	echo   11) Windows 10 企业版 G
	echo   12) Windows 10 企业版 G N
	echo   13) Windows 10 企业版 LTSC 2019
	echo   14) Windows 10 企业版 N LTSC 2019
	echo   15) Windows 10 企业版 LTSB 2016
	echo   16) Windows 10 企业版 N LTSB 2016
	echo   17) Windows 10 企业版 LTSB 2015
	echo   18) Windows 10 企业版 N LTSB 2015
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=W269N-WFGWX-YVC9B-4J6C9-T83GX & goto kms_active
	if "%ans%" == "2" set ipkey=MH37W-N47XK-V7XM9-C7227-GCQG9 & goto kms_active
	if "%ans%" == "3" set ipkey=NRG8B-VKK3Q-CXVCJ-9G2XF-6Q84J & goto kms_active
	if "%ans%" == "4" set ipkey=9FNHH-K3HBT-3W4TD-6383H-6XYWF & goto kms_active
	if "%ans%" == "5" set ipkey=6TP4R-GNPTD-KYYHQ-7B7DP-J447Y & goto kms_active
	if "%ans%" == "6" set ipkey=YVWGF-BXNMC-HTQYQ-CPQ99-66QFC & goto kms_active
	if "%ans%" == "7" set ipkey=NW6C2-QMPVW-D7KKK-3GKT6-VCFB2 & goto kms_active
	if "%ans%" == "8" set ipkey=2WH4N-8QGBV-H22JP-CT43Q-MDWWJ & goto kms_active
	if "%ans%" == "9" set ipkey=NPPR9-FWDCX-D2C8J-H872K-2YT43 & goto kms_active
	if "%ans%" == "10" set ipkey=DPH2V-TTNVB-4X9Q3-TJR4H-KHJW4 & goto kms_active
	if "%ans%" == "11" set ipkey=YYVX9-NTFWV-6MDM3-9PT4T-4M68B & goto kms_active
	if "%ans%" == "12" set ipkey=44RPN-FTY23-9VTTB-MP9BX-T84FV & goto kms_active
	if "%ans%" == "13" set ipkey=M7XTQ-FN8P6-TTKYV-9D4CC-J462D & goto kms_active
	if "%ans%" == "14" set ipkey=92NFX-8DJQP-P6BBQ-THF9C-7CG2H & goto kms_active
	if "%ans%" == "15" set ipkey=DCPHK-NFMTC-H88MJ-PFHPY-QJ4BJ & goto kms_active
	if "%ans%" == "16" set ipkey=QFFDN-GRT3P-VKWWX-X7T3R-8B639 & goto kms_active
	if "%ans%" == "17" set ipkey=WNMTR-4C88C-JK8YV-HQ7T2-76DF9 & goto kms_active
	if "%ans%" == "18" set ipkey=2F77B-TNFGY-69QQF-B8YKP-D69TJ & goto kms_active
	goto kms_win10

:: 激活 Windows 8.1
:kms_win81
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows 8.1 专业版
	echo   2) Windows 8.1 专业版 N
	echo   3) Windows 8.1 企业版
	echo   4) Windows 8.1 企业版 N
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=GCRJD-8NW9H-F2CDX-CCM8D-9D6T9 & goto kms_active
	if "%ans%" == "2" set ipkey=HMCNV-VVBFX-7HMBH-CTY9B-B4FXY & goto kms_active
	if "%ans%" == "3" set ipkey=MHF9N-XY6XB-WVXMC-BTDCT-MKKG7 & goto kms_active
	if "%ans%" == "4" set ipkey=TT4HM-HN7YT-62K67-RGRQJ-JFFXW & goto kms_active
	goto kms_win81

:: 激活 Windows 8
:kms_win8
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows 8 专业版
	echo   2) Windows 8 专业版 N
	echo   3) Windows 8 企业版
	echo   4) Windows 8 企业版 N
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=NG4HW-VH26C-733KW-K6F98-J8CK4 & goto kms_active
	if "%ans%" == "2" set ipkey=XCVCF-2NXM9-723PB-MHCB7-2RYQQ & goto kms_active
	if "%ans%" == "3" set ipkey=32JNW-9KQ84-P47T8-D8GGY-CWCK7 & goto kms_active
	if "%ans%" == "4" set ipkey=JMNMF-RHW7P-DMY6X-RF3DR-X2BQT & goto kms_active
	goto kms_win8

:: 激活 Windows 7
:kms_win7
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows 7 专业版
	echo   2) Windows 7 专业版 N
	echo   3) Windows 7 专业版 E
	echo   4) Windows 7 企业版
	echo   5) Windows 7 企业版 N
	echo   6) Windows 7 企业版 E
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=FJ82H-XT6CR-J8D7P-XQJJ2-GPDD4 & goto kms_active
	if "%ans%" == "2" set ipkey=MRPKT-YTG23-K7D7T-X2JMM-QY7MG & goto kms_active
	if "%ans%" == "3" set ipkey=W82YF-2Q76Y-63HXB-FGJG9-GF7QX & goto kms_active
	if "%ans%" == "4" set ipkey=33PXH-7Y6KF-2VJC9-XBBR8-HVTHH & goto kms_active
	if "%ans%" == "5" set ipkey=YDRBP-3D83W-TY26F-D46B2-XCKRJ & goto kms_active
	if "%ans%" == "6" set ipkey=C29WB-22CC8-VJ326-GHFJW-H9DH4 & goto kms_active
	goto kms_win7

:: 激活 Windows Server 2019
:kms_win2k19
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows Server 2019 基础版
	echo   2) Windows Server 2019 标准版
	echo   3) Windows Server 2019 数据中心版
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=WVDHN-86M7X-466P6-VHXV7-YY726 & goto kms_active
	if "%ans%" == "2" set ipkey=N69G4-B89J2-4G8F4-WWYCC-J464C & goto kms_active
	if "%ans%" == "3" set ipkey=WMDGN-G9PQG-XVVXX-R3X43-63DFG & goto kms_active
	goto kms_win2k19

:: 激活 Windows Server 2016
:kms_win2k16
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows Server 2016 基础版
	echo   2) Windows Server 2016 标准版
	echo   3) Windows Server 2016 数据中心版
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=JCKRF-N37P4-C2D82-9YXRT-4M63B & goto kms_active
	if "%ans%" == "2" set ipkey=WC2BQ-8NRM3-FDDYY-2BFGV-KHKQY & goto kms_active
	if "%ans%" == "3" set ipkey=CB7KF-BWN84-R7R2Y-793K2-8XDDG & goto kms_active
	goto kms_win2k16

:: 激活 Windows Server 2012
:kms_win2k12
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows Server 2012
	echo   2) Windows Server 2012 N
	echo   3) Windows Server 2012 单语言版
	echo   4) Windows Server 2012 特定国家地区版
	echo   5) Windows Server 2012 标准版
	echo   6) Windows Server 2012 多点标准版
	echo   7) Windows Server 2012 多点专业版
	echo   8) Windows Server 2012 数据中心版
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=BN3D2-R7TKB-3YPBD-8DRP2-27GG4 & goto kms_active
	if "%ans%" == "2" set ipkey=8N2M2-HWPGY-7PGT9-HGDD8-GVGGY & goto kms_active
	if "%ans%" == "3" set ipkey=2WN2H-YGCQR-KFX6K-CD6TF-84YXQ & goto kms_active
	if "%ans%" == "4" set ipkey=4K36P-JN4VD-GDC6V-KDT89-DYFKP & goto kms_active
	if "%ans%" == "5" set ipkey=XC9B7-NBPP2-83J2H-RHMBY-92BT4 & goto kms_active
	if "%ans%" == "6" set ipkey=HM7DN-YVMH3-46JC3-XYTG7-CYQJJ & goto kms_active
	if "%ans%" == "7" set ipkey=XNH6W-2V9GX-RGJ4K-Y8X6F-QGJ2G & goto kms_active
	if "%ans%" == "8" set ipkey=48HP8-DN98B-MYWDG-T2DCC-8W83P & goto kms_active
	goto kms_win2k12

:: 激活 Windows Server 2012 R2
:kms_win2k12r2
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows Server 2012 R2 基础版
	echo   2) Windows Server 2012 R2 标准版
	echo   3) Windows Server 2012 R2 数据中心版
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=KNC87-3J2TX-XB4WP-VCPJV-M4FWM & goto kms_active
	if "%ans%" == "2" set ipkey=W3GGN-FT8W3-Y4M27-J84CP-Q3VJ9 & goto kms_active
	if "%ans%" == "3" set ipkey=D2N9P-3P6X9-2R39C-7RTCD-MDVJX & goto kms_active
	goto kms_win2k12r2

:: 激活 Windows Server 2008
:kms_win2k8
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows Server 2008 Web 服务器版
	echo   2) Windows Server 2008 标准版
	echo   3) Windows Server 2008 标准版（无 Hyper-V）
	echo   4) Windows Server 2008 企业版
	echo   5) Windows Server 2008 企业版（无 Hyper-V）
	echo   6) Windows Server 2008 HPC 版
	echo   7) Windows Server 2008 数据中心版
	echo   8) Windows Server 2008 数据中心版（无 Hyper-V）
	echo   9) Windows Server 2008 Itanium 版
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=WYR28-R7TFJ-3X2YQ-YCY4H-M249D & goto kms_active
	if "%ans%" == "2" set ipkey=TM24T-X9RMF-VWXK6-X8JC9-BFGM2 & goto kms_active
	if "%ans%" == "3" set ipkey=W7VD6-7JFBR-RX26B-YKQ3Y-6FFFJ & goto kms_active
	if "%ans%" == "4" set ipkey=YQGMW-MPWTJ-34KDK-48M3W-X4Q6V & goto kms_active
	if "%ans%" == "5" set ipkey=39BXF-X8Q23-P2WWT-38T2F-G3FPG & goto kms_active
	if "%ans%" == "6" set ipkey=RCTX3-KWVHP-BR6TB-RB6DM-6X7HP & goto kms_active
	if "%ans%" == "7" set ipkey=7M67G-PC374-GR742-YH8V4-TCBY3 & goto kms_active
	if "%ans%" == "8" set ipkey=22XQ2-VRXRG-P8D42-K34TD-G3QQC & goto kms_active
	if "%ans%" == "9" set ipkey=4DWFP-JF3DJ-B7DTH-78FJB-PDRHK & goto kms_active
	goto kms_win2k8

:: 激活 Windows Server 2008 R2
:kms_win2k8r2
	set ans=0
	mode CON:COLS=67 LINES=30
	cls
	echo 激活操作系统 /////////////////////////////////////////////////////
	echo.
	echo 请选择您的操作系统类型：
	echo.
	echo   1) Windows Server 2008 R2 Web 服务器版
	echo   2) Windows Server 2008 R2 HPC 版
	echo   3) Windows Server 2008 R2 标准版
	echo   4) Windows Server 2008 R2 企业版
	echo   5) Windows Server 2008 R2 数据中心版
	echo   6) Windows Server 2008 R2 Itanium 版
	echo.
	set /p ans=^> 
	if "%ans%" == "1" set ipkey=6TPJF-RBVHG-WBW2R-86QPH-6RTM4 & goto kms_active
	if "%ans%" == "2" set ipkey=TT8MH-CG224-D3D7Q-498W2-9QCTX & goto kms_active
	if "%ans%" == "3" set ipkey=YC6KT-GKW9T-YTKYR-T4X34，R7VHC & goto kms_active
	if "%ans%" == "4" set ipkey=489J6-VHDMP-X63PK-3K798-CPX3Y & goto kms_active
	if "%ans%" == "5" set ipkey=74YFP-3QFB3-KQT8W-PMXWJ-7M648 & goto kms_active
	if "%ans%" == "6" set ipkey=GT63C-RJFQ3-4GMB6-BRFB9-CB83V & goto kms_active
	goto kms_win2k8r2

:: 工具作者 Akkariin | https://blog.natfrp.org/free-kms-server
